## org.red5.io.flv.meta
Interface IMetaData<K,V>

Type Parameters:
  `K` - key type
  `V` - value type

All Superinterfaces:
  IMeta, Serializable

All Known Implementing Classes:
  MetaData

    public interface IMetaData<K,V>

extends IMeta

FLV MetaData interface

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com) Sample Data: private boolean canSeekToEnd = true; private int videocodecid = 4; private int framerate = 15; private int videodatarate = 400; private int height = 215; private int width = 320; private int duration = 7.347;

Method Summary
`int` `getAudioCodecId()`
`boolean` `getCanSeekToEnd()` Returns a boolean depending on whether the video can seek to end
`double` `getDuration()` Returns the duration.
`double` `getFrameRate()` Returns the framerate.
`int` `getHeight()` Returns the height
`IMetaCue[]` `getMetaCue()` Gets the cue points
`int` `getVideoCodecId()` Returns the video codec id
`int` `getVideoDataRate()` Returns the videodatarate
`int` `getWidth()` Returns the width Video width
`void` `setAudioCodecId(int id)`
`void` `setCanSeekToEnd(boolean b)` Sets whether a video can seek to end
`void` `setDuration(double d)` Sets the duration.
`void` `setFrameRate(double rate)` Sets the framerate.
`void` `setHeight(int h)` Sets the height
`void` `setMetaCue(IMetaCue[] metaCue)` Sets the cue points
`void` `setVideoCodecId(int id)` Sets the video codec id
`void` `setVideoDataRate(int rate)` Sets the videodatarate
`void` `setWidth(int w)` Sets the width

Method Detail

### getCanSeekToEnd

    boolean getCanSeekToEnd()

  Returns a boolean depending on whether the video can seek to end

  Returns:
    `true` if file is seekable to the end, `false` otherwise

### setCanSeekToEnd

    void setCanSeekToEnd(boolean b)

  Sets whether a video can seek to end

  Parameters:
    `b` - `true` if file is seekable to the end, `false` otherwise

### getVideoCodecId

    int getVideoCodecId()

  Returns the video codec id

  Returns:
    Video codec id

### setVideoCodecId

    void setVideoCodecId(int id)

  Sets the video codec id

  Parameters:
    `id` - Video codec id

### getAudioCodecId

    int getAudioCodecId()

### setAudioCodecId

    void setAudioCodecId(int id)

### getFrameRate

    double getFrameRate()

  Returns the framerate.

  Returns:
    FLV framerate in frames per second

### setFrameRate

    void setFrameRate(double rate)

  Sets the framerate.

  Parameters:
    `rate` - FLV framerate in frames per second

### getVideoDataRate

    int getVideoDataRate()

  Returns the videodatarate

  Returns:
    Video data rate

### setVideoDataRate

    void setVideoDataRate(int rate)

  Sets the videodatarate

  Parameters:
    `rate` - Video data rate

### getHeight

    int getHeight()

  Returns the height

  Returns:
    height Video height

### setHeight

    void setHeight(int h)

  Sets the height

  Parameters:
    `h` - Video height

### getWidth

    int getWidth()

  Returns the width Video width

  Returns:
    width

### setWidth

    void setWidth(int w)

  Sets the width

  Parameters:
    `w` - Video width

### getDuration

    double getDuration()

  Returns the duration.

  Returns:
    duration Video duration in seconds

### setDuration

    void setDuration(double d)

  Sets the duration.

  Parameters:
    `d` - Video duration in seconds

### setMetaCue

    void setMetaCue(IMetaCue[] metaCue)

  Sets the cue points

  Parameters:
    `metaCue` - Cue points

### getMetaCue

    IMetaCue[] getMetaCue()

  Gets the cue points

  Returns:
    Cue points

Copyright © 2006-2010 The Red5 Project